
/* rubik-300 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Rubik';
  font-style: normal;
  font-weight: 300;
  src: url('./assets/fonts/rubik-v30-latin-300.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* rubik-300italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Rubik';
  font-style: italic;
  font-weight: 300;
  src: url('./assets/fonts/rubik-v30-latin-300italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* rubik-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Rubik';
  font-style: normal;
  font-weight: 400;
  src: url('./assets/fonts/rubik-v30-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* rubik-italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Rubik';
  font-style: italic;
  font-weight: 400;
  src: url('./assets/fonts/rubik-v30-latin-italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* rubik-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Rubik';
  font-style: normal;
  font-weight: 700;
  src: url('./assets/fonts/rubik-v30-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* rubik-700italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Rubik';
  font-style: italic;
  font-weight: 700;
  src: url('./assets/fonts/rubik-v30-latin-700italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* rubik-900 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Rubik';
  font-style: normal;
  font-weight: 900;
  src: url('./assets/fonts/rubik-v30-latin-900.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* rubik-900italic - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Rubik';
  font-style: italic;
  font-weight: 900;
  src: url('./assets/fonts/rubik-v30-latin-900italic.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* CORE FRAMEWORKS */
* {
  margin: 0;
  padding: 0;
}
html {
  scroll-behavior: smooth;
}

html, body {
    font-family: Rubik, sans-serif;
    font-weight: 300;
    box-sizing: border-box;
    margin: 0;
    height: 100%;
    overflow-x: hidden;
}


:root {
  --color-grey: #53626a;
  --color-orange: #ef7d00;
  --color-white: white;
  --color-black: black;
}

body {
    overflow-x: hidden;
}

/* scroll-snap */
.x.mandatory-scroll-snapping {
  scroll-snap-type: x mandatory;
}
.x.proximity-scroll-snapping {
  scroll-snap-type: x proximity;
}
.y.mandatory-scroll-snapping {
  scroll-snap-type: y mandatory;
}
.y.proximity-scroll-snapping {
  scroll-snap-type: y proximity;
}

#wrapper {
  width: 100%;
  height: 100%;
    scroll-snap-type: y mandatory;
  overflow: auto;
}

/* Style the navbar */
#navbar {
  position: fixed;
  width: 100vw;
  height: 160px;
  top: 0;
  overflow: hidden;
  background-color: #ffffff;
  text-align: center;
  z-index: 1000;
}

/* Navbar links */
#navbar a {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px;
  text-decoration: none;
}

h1, h2, h3, h4, h5, h6 {
    font-family: Rubik, sans-serif;
    font-weight: 700;
}

h1 {
    color: var(--color-grey);
    font-family: Rubik, sans-serif;
    font-size: 64px;
    font-weight: 700;
    line-height: 65px;
}
h2 {
    color: var(--color-grey);
    font-family: Rubik, sans-serif;
    font-size: 40px;
    font-weight: 700;
    line-height: 1;
}
h2.subhead {
    border-left-style: solid;
    border-left-width: 8px;
    border-left-color: var(--color-orange);
    text-align: left;
    flex-flow: column;
    justify-content: center;
    align-items: flex-start;
    margin-bottom: 140px;
    padding-left: 16px;
    font-size: 45px;
    /*line-height: 50px;
   display: flex;
    position: static;*/
}

.subline {
    color: var(--color-grey);
    margin-top: 20px;
    font-family: Rubik, sans-serif;
    font-size: 24px;
    font-weight: 300;
    line-height: 32px;
}



/* Page content */


section {
    display: flex;
    scroll-snap-align: center;
  flex: none;
}

.container {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    margin: 0 auto;
}

.row {
    width: auto;
    display: flex;
    flex-direction: row;
     /*flex-grow: 1;*/
   justify-content: space-around;
   max-width: 1380px;
   padding: 0 40px 0 40px;
   margin:0 auto;
}

.row.left-container {
    justify-content: flex-start;
}

#sec-one h1 {
    margin: 0;
    font-size: 64px;
    color:#ffffff;
}
#sec-one .subline {
    color: var(--color-orange);
}

.flex-item {
    display: flex;
    flex-grow: 1;
    flex-direction: column;
    background-color: green;
}


/* FOR DEMO AND DEV */
#sec-one {
    background-color: #ffffff;
    background-image: url('./assets/img/hero-bg-neg.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    max-width: 100vw;
    min-height: 100vh;
    padding-left: 40vw;
    padding-right: 5vw;
}

#sec-two {
    background-color: #c6cfd8;
    max-width: 100vw;
    min-height: 100vh;
}
#sec-two .subhead{
    margin-top: 120px;
    margin-bottom: 40vh;
}

#sec-three {
    background-color: #429;
    max-width: 100vw;
    min-height: 100vh;
}




section .container {
    padding: 2em;
}

.top-container {
    margin: auto;
}

.item-one, .item-two, .item-three {
    padding: 1em;
}


/* Horizontal Section styles */


.full-screen {
  display: block;
  width: 100%;
  height: 100vh;
  overflow: hidden;
}

#intro {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

#masthead {
  position: fixed;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  z-index: 9999;
}
#masthead a {
  padding: 1rem 2rem;
}

#panels {
  /*position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;*/
  position: relative;
  scroll-snap-align: center;
  
}
#panels #machine {
  /* z-index: 100;
  left: 0px;
  bottom: 0px;
  position: absolute;
  width: auto;
  overflow: visible;*/
    position: absolute;
    background-image: url("./assets/img/pultrusionsmachine.png");
    background-size: 98% auto;
    background-position: left bottom;
    background-repeat: no-repeat;
    width:100vw;
    height: 100%;
    z-index: 10;
}
#panels #machine img {
 right: 0px;
}
    
#panels #machine .row {
    margin-top: 240px;
}
    
#panels #panels-container {
  height: 100vh;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: nowrap;
  flex-wrap: nowrap;
  padding: 0;
  overflow: hidden;
}
#panels #panels-container .panel {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  display: flex;
  text-align: left;
  align-items: center;
  justify-content: center;
}

/* #panels #panels-container .panel img {
  max-width: 100%;
  height: auto;
  display: block;
} 
#panels #panels-container .panel .panels-navigation {
  width: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: end;
  -ms-flex-pack: end;
  justify-content: flex-end;
}
#panels #panels-container .panel .anchor-panel,
#panels #panels-container .panel .nav-panel {
  text-transform: uppercase;
  margin-right: 2rem;
}
#panels #panels-container .panels-navigation {
  position: absolute;
  width: 100%;
  bottom: 2rem;
  right: 2rem;
}
*/
